Update a subcategory
curl --request PUT \
--url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID} \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form 'name=<string>' \
--form 'description=<string>' \
--form file='@example-file'import requests
url = "https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {"X-API-Key": "<api-key>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('name', '<string>');
form.append('description', '<string>');
form.append('file', '<string>');
const options = {method: 'PUT', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imageId": "<string>"
}Subcategories
Update Subcategory
PUT
/
evidences
/
{COMPANY_ID}
/
category
/
{CATEGORY_ID}
/
subcategory
/
{SUBCATEGORY_ID}
Update a subcategory
Authorizations
Path Parameters
Company identifier
Parent category identifier
Subcategory identifier
Body
multipart/form-data
Response
200 - application/json
Subcategory updated
ID of the category icon image
⌘I